Changeset 55038


Ignore:
Timestamp:
Aug 6, 2009, 8:48:18 AM (11 years ago)
Author:
jeremyhu@…
Message:

gnome-doc-utils: Allow a choice between pyton25 and python26

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/gnome-doc-utils/Portfile

    r52599 r55038  
    4242
    4343configure.env-append  INTLTOOL_PERL=${prefix}/bin/perl
    44 configure.python      ${prefix}/bin/python2.5
    4544configure.args         --disable-scrollkeeper \
    4645                       --mandir=${prefix}/share/man
     
    5049}
    5150
     51variant python25 conflicts python26 description {Use python 2.5} {
     52    depends_run-append      port:python25 port:py25-libxml2
     53    configure.python        ${prefix}/bin/python2.5
     54}
     55
     56variant python26 conflicts python25 description {Use python 2.6} {
     57    depends_run-append      port:python26 port:py26-libxml2
     58    configure.python        ${prefix}/bin/python2.6
     59}
     60
     61# Default to 2.6 since 2.5 fails universal for me on Leopard... Ticket #17501
     62if {![variant_isset python25]} {
     63    default_variants +python26
     64}
     65
    5266universal_variant   no
    5367
Note: See TracChangeset for help on using the changeset viewer.